Name:           mp3spi
Version:        1.9.4
Release:        %mkrel 1
Summary:        A JSPI that adds MP3 support for Java
Group:          Development/Java
License:        LGPLv2+
URL:            http://www.javazoom.net/mp3spi/mp3spi.html
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-build.xml.diff
BuildArch:      noarch
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  dos2unix
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  jlayer >= 1.0
BuildRequires:  tritonus-shared
BuildRequires:  update-alternatives
BuildRequires:  xml-commons-apis
BuildRequires:  xml-commons-resolver
Requires:       java >= 1.5
Requires:       jlayer >= 1.0
Requires:       tritonus-shared

%description
MP3SPI is a Java Service Provider Interface that adds MP3
(MPEG 1/2/2.5 Layer 1/2/3) audio format support for Java Platform.
It supports streaming, ID3v2 frames, Equalizer, ....

It is based on JLayer and Tritonus Java libraries.

%package javadoc
Summary:     Javadoc for mp3spi
Group:       Development/Java

%description javadoc
Javadoc for mp3spi.

%prep
%setup -q -n MpegAudioSPI%{version}
%patch0

dos2unix     LICENSE.txt README.txt CHANGES.txt
%__chmod 644 LICENSE.txt README.txt CHANGES.txt

%build
export CLASSPATH=$(build-classpath tritonus/tritonus_share)
%ant -Dbuild.sysclasspath=first all

%install
# jars
%__install -dm 755 %{buildroot}%{_javadir}
%__install -pm 644 %{name}%{version}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar

pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -pr doc/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}*.jar
%doc CHANGES.txt LICENSE.txt README.txt

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}


%changelog
* Sun Feb 19 2017 daviddavid <daviddavid> 1.9.4-1.mga6
+ Revision: 1086926
- rebuild against fixed tritonus
- fix License

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Mar 01 2016 umeabot <umeabot> 1.9.4-0.0.9.mga6
+ Revision: 981382
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 1.9.4-0.0.8.mga5
+ Revision: 795714
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.4-0.0.7.mga5
+ Revision: 741309
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.4-0.0.6.mga5
+ Revision: 682629
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9.4-0.0.5.mga4
+ Revision: 508036
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.9.4-0.0.4.mga3
+ Revision: 360361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 grenoya <grenoya> 1.9.4-0.0.3.mga1
+ Revision: 65004
- imported package mp3spi


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.4-0.0.3mdv2011.0
+ Revision: 620403
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.9.4-0.0.2mdv2010.0
+ Revision: 440143
- rebuild

* Thu Oct 16 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.9.4-0.0.1mdv2009.1
+ Revision: 294474
- import mp3spi


